org.deidentifier.arx.gui.view.impl.explore

## Class LayoutExplore

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.explore.LayoutExplore

All Implemented Interfaces:
  ILayout

    public class LayoutExplore
    extends java.lang.Object
    implements ILayout

This class layouts the exploration view.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`LayoutExplore(org.eclipse.swt.widgets.Composite parent, Controller controller)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isShowLattice()` Returns which view is active
`boolean` `isShowList()` Returns which view is active
`boolean` `isShowTiles()` Returns which view is active
`void` `showLattice()` Shows the according view
`void` `showList()` Shows the according view
`void` `showTiles()` Shows the according view

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LayoutExplore

    public LayoutExplore(org.eclipse.swt.widgets.Composite parent,
                         Controller controller)

Creates a new instance.

Parameters:
  `parent` -
  `controller` -

### Method Detail

#### isShowLattice

    public boolean isShowLattice()

Returns which view is active

Returns:

#### isShowList

    public boolean isShowList()

Returns which view is active

Returns:

#### isShowTiles

    public boolean isShowTiles()

Returns which view is active

Returns:

#### showLattice

    public void showLattice()

Shows the according view

#### showList

    public void showList()

Shows the according view

#### showTiles

    public void showTiles()

Shows the according view